Bug 984769 (CVE-2013-4130) - CVE-2013-4130 spice: unsafe clients ring access abort
Summary: CVE-2013-4130 spice: unsafe clients ring access abort
Status: CLOSED ERRATA
Alias: CVE-2013-4130
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130705,repor...
Keywords: Security
Depends On: 887775 984801 984802 986298
Blocks: 984770 1002212
TreeView+ depends on / blocked
 
Reported: 2013-07-15 23:20 UTC by Petr Matousek
Modified: 2015-10-15 17:54 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 02:23:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1192 normal SHIPPED_LIVE Moderate: spice-server security update 2013-09-03 23:55:32 UTC
Red Hat Product Errata RHSA-2013:1260 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 security and bug fix update 2013-09-23 21:26:54 UTC

Description Petr Matousek 2013-07-15 23:20:50 UTC
Currently, both red_channel_pipes_add_type() and red_channel_pipes_add_empty_msg() use plaing RING_FOREACH() which is not safe versus removals from the ring within the loop body. Yet, when (network) error does occur, the current item could be removed from the ring down the road and the assertion in RING_FOREACH()'s ring_next() could trip, causing the process containing the spice server to abort.

An user able to initiate spice connection to the guest could use this flaw to crash the guest.

Upstream fix:
http://cgit.freedesktop.org/spice/spice/commit/?id=53488f0275d6c8a121af49f7ac817d09ce68090d

Acknowledgements:

This issue was discovered by David Gibson of Red Hat.

Comment 2 Petr Matousek 2013-07-16 04:56:44 UTC
Created spice tracking bugs for this issue:

Affects: fedora-all [bug 984802]

Comment 4 Fedora Update System 2013-08-10 19:59:20 UTC
spice-0.12.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-08-15 02:58:42 UTC
spice-0.12.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2013-09-03 19:56:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1192 https://rhn.redhat.com/errata/RHSA-2013-1192.html

Comment 7 errata-xmlrpc 2013-09-23 17:28:41 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1260 https://rhn.redhat.com/errata/RHSA-2013-1260.html


Note You need to log in before you can comment on or make changes to this bug.